diff deploy/clean-build-and-package @ 2395:5d2d3fdae354

Merge
author Chris Cannam
date Tue, 22 Oct 2019 16:32:28 +0100
parents ab2d0fe8f0b7
children ab09e05b0d35
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/deploy/clean-build-and-package	Tue Oct 22 16:32:28 2019 +0100
@@ -0,0 +1,65 @@
+#!/bin/bash
+
+set -eu
+
+current=$(hg id | awk '{ print $1; }')
+
+#case "$current" in
+#    *+) echo "ERROR: Current working copy has been modified - not proceeding"; exit 2;;
+#    *);;
+#esac
+
+version=`perl -p -e 's/^[^"]*"([^"]*)".*$/$1/' version.h`
+
+mkdir -p packages
+echo
+
+if [ -d /Applications ]; then
+
+    qmake=$(grep '^# Command: ' Makefile | awk '{ print $3; }')
+
+    echo "Proceed to rebuild, package, and sign version $version using"
+    echo -n "qmake path \"$qmake\" [Yn] ? "
+    read yn
+    case "$yn" in "") ;; [Yy]) ;; *) exit 3;; esac
+    echo "Proceeding"
+
+    app="Sonic Visualiser"
+    volume="$app"-"$version"
+    dmg="$volume".dmg
+
+    rm -rf "$app.app"
+    rm -f "$dmg"
+
+    ./repoint install
+
+    rm -rf .qmake.stash
+    "$qmake" -r
+    make clean
+    make -j3
+    deploy/osx/deploy-and-package.sh
+
+    mv "$dmg" packages/
+
+else
+
+    echo -n "Proceed to rebuild and package version $version [Yn] ? "
+    read yn
+    case "$yn" in "") ;; [Yy]) ;; *) exit 3;; esac
+    echo "Proceeding"
+
+    ./deploy/linux/build-and-test-appimage.sh
+
+    squashedversion=$(echo "$version" | sed 's/_-//g')
+
+    mv deploy/linux/docker/output/SonicVisualiser-"$current"-x86_64.AppImage \
+	packages/SonicVisualiser-"$squashedversion"-x86_64.AppImage
+
+    ./deploy/linux/build-and-test-deb.sh
+
+    mv deploy/linux/docker/output/sonic-visualiser_"$version"_amd64.deb \
+	packages/
+fi
+
+echo "Done"
+